package io.renren.service;


import io.renren.entity.SysPeople;

import java.util.List;

/**
 * 人员管理Service接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface ISysPeopleService
{
    /**
     * 查询人员管理
     *
     * @param id 人员管理主键
     * @return 人员管理
     */
    public SysPeople selectSysPeopleById(Long id);

    /**
     * 查询人员管理列表
     *
     * @param sysPeople 人员管理
     * @return 人员管理集合
     */
    public List<SysPeople> selectSysPeopleList(SysPeople sysPeople);

    /**
     * 新增人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int insertSysPeople(SysPeople sysPeople);

    /**
     * 修改人员管理
     *
     * @param sysPeople 人员管理
     * @return 结果
     */
    public int updateSysPeople(SysPeople sysPeople);

    /**
     * 批量删除人员管理
     *
     * @param ids 需要删除的人员管理主键集合
     * @return 结果
     */
    public int deleteSysPeopleByIds(Long[] ids);

    /**
     * 删除人员管理信息
     *
     * @param id 人员管理主键
     * @return 结果
     */
    public int deleteSysPeopleById(Long id);


    public SysPeople selectSysPeopleByOpenId(String openid);

    /**
     * 查询人员管理
     *
     * @param id 人员管理主键
     * @return 人员管理
     */
    public SysPeople selectSysPeopleByIdPwd(SysPeople sysPeople);

    public SysPeople selectSysPeopleByGuid(SysPeople sysPeople);
}
